@charset "utf-8";

/* NON CRITIC ========================== */
a {
    color: #00b;
    font-weight: 400;
    text-decoration: none;
}

nav, section, aside, footer {
    overflow-x: hidden;
    padding-bottom: 200px;
    position: relative;
    z-index: 100;
}

h3 {
    color: #050;
    font-weight: 500;
    font-size: 1.3rem;
    line-height: 1.5;
    margin: 5px 45px 0 45px;
}

p {
    color: #222;
    font-size: 1.3rem;
    font-weight: 300;
    line-height: 1.5;
    margin: 5px 45px 40px 45px;
}

button {
    background-color: transparent;
    border: none;
    cursor: pointer;
}



/* COULEUR BLOCS _______________________________ */

.fondclair {
    background-color: #ffffff;
}

.fondmoyen {
    background-color: #f6f5f4;
}

.fonddark {
    background-color: #E6E5E4;
}



/* IMG_________________________________ */

.img1col {
    float: left;
    height: auto;
    margin: 6px 4% 10px 0;
    width: 16%;
}

.img2col {
    float: right;
    height: auto;
    margin: 6px 0 10px 5%;
    width: 37%;
}

.img3col {
    float: left;
    height: auto;
    margin: 6px 5% 10px 0;
    width: 58%;
}

.img5col {
    height: auto;
    margin: 0 0 10px 0;
    width: 100%;
}

.imgbloem {
    height: auto;
    margin-top: 20px;
    width: 120px;
}



/* TXT _______________________________ */

.txt-hand {
    color: #000;
    font-family: 'Marker Felt', 'Chalkboard SE', 'Bradley Hand', Chalkboard, 'Comic Sans Ms', cursive;
    font-size: 2rem;
    font-style: italic;
    font-weight: bolder;
}

.pluspetit {
    font-size: 80%;
    font-style: italic;
}



/* GRAND MENU PRINCIPAL ____________ */ 

.flexcontainer {
    align-items: flex-start;
    align-content: flex-start;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 20px 50px 0 50px;
    overflow: auto;
}

.flexcontainer div {
    background-color: #fff;
    border: 1px solid #555;
    border-radius: 10px;
    height: auto;
    margin: 8px;
    padding: 8px;
    text-align: center;
    width: auto;
    font-stretch: condensed;
}



/* VILLAS ____________________________ */

.divvillas {
    height: auto;
    margin: 0 0 120px 0;
    position: relative;
}

.imgvillas {
    height: auto;
    width: 100%;
}



/* AUTRES ____________________________________ */

.aumilieu {
    text-align: center;
}

.trait {
    text-decoration: underline;
    text-underline-offset: 14px;
    text-decoration-thickness: 1px;
}



/* WEBCAM _________________________ */

.divwebcam {
    aspect-ratio: 2/1;
    margin: 0 45px 20px 45px;
    position: relative;
}

.divdufond {
    width: 200%;
    height: 100%;
    animation: pano 16s ease infinite;
    background-image: url(../webp-autres/webcam-fond.webp);
    background-repeat: no-repeat;
    background-size: auto 100%;
    }

    @keyframes pano {
      0% {transform: translateX(0);}
     40% {transform: translateX(-50%);}
     50% {transform: translateX(-50%);}
     90% {transform: translateX(0);}
    100% {transform: translateX(0);}
}

.divrain {
    position : absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    background:url("../webp-autres/pluie.webp") repeat 0px 0px;
    animation: dropFlowParticles 0.25s linear infinite;
    mix-blend-mode: screen;
    opacity: 0.3;
    }

    @keyframes dropFlowParticles {
    from { background-position: 0 0; }
    to { background-position: 0 225px; }
}



/* COMPARE _____________________________ */

.divcompare {
    aspect-ratio: 2/1;
    height: auto;
    margin: 0;
    overflow: hidden;
    position: relative;
        --value: 50%;
}

.compare__left, .compare__right {
    height: 100%;
    object-fit: cover;
    object-position: center bottom;
    position: absolute;
    width: 100%;
}

.compare__left {
    clip-path: polygon(0% 0%, var(--value) 0%, var(--value) 100%, 0% 100%);
}

.compare__right {
    clip-path: polygon(100% 0%, var(--value) 0%, var(--value) 100%, 100% 100%);
}

.compare__range {
    appearance: none;
    background-color: transparent;
    color: #000;
    cursor: ew-resize;
    height: 100%;
    opacity: 0;
    position: relative;
    width: 100%;
}

.losange {
    height: auto;
    left: 47%;
    opacity: 0.4;
    pointer-events: none;
    position: absolute;
    top: 70%;
    width: 6%;
    z-index: 222;
}

.moulin {
    animation: mou 0.6s linear infinite;
    bottom: 17%;
    height: auto;
    left: 16.5%;
    position: absolute;
    width: 7%;
    z-index: 111;
    }

    @keyframes mou {
    100% {transform: rotate(-360deg);}
}



/* HORLOGE________________________________ */

#clock {
    color: #cfc;
    font-family: monospace;
    font-size: 1.4vw;
    left: 3.8%;
    position: absolute;
    text-shadow: 0px 0px 5px #0d0;
    text-align: center;
    top: 21.2%;
    width: 8%;
    z-index: 111;
}



/* HALO VERT ______________________ */

#halovert {
    animation: feu 6s linear infinite;
    background-image: url(../webp-pictos/noise3.webp), url(../webp-pictos/noise4.webp);
    background-size: 400px 400px;
    background-blend-mode: overlay, difference;
    border-radius: 50%;
    filter: blur(20px);
        -webkit-backdrop-filter: blur(20px);
    height: 52%;
    left: 73%;
    opacity: 0.7;
    position: absolute;
    top: 0;
    width: 5%;
    z-index: 122;
    }

    @keyframes feu {
    100% {background-position: -400px -400px, 400px -400px;}
}



/* CHEMINEE MONTAGNE ______________________ */

.flamme {
    bottom: 35%;
    filter: hue-rotate(60deg);
    height: auto;
    left: 22.1%;
    mix-blend-mode: screen;
    position: absolute;
    width: 6.5%;
    z-index: 122;
}



/* ETINCELLES HALL _______________________ */

.sparks {
    animation: spk .15s linear infinite;
    height: auto;
    left: 68%;
    position: absolute;
    top: 54.4%;
    transform-origin: center;
    width: 20px;
    z-index: 111;
    }

    @keyframes spk {
    100% {transform: scale(3);}
}



/* PHONE PADS VERTIC ____________________ */

@media screen and (orientation: portrait) {

.divwebcam, .divcompare {
    margin: 0 20px 10px 20px;
}

.imgvillas {
    width: 200%;
}

.img1col {
    width: 40%;
    margin: 6px 30% 10px 30%;
}

.img2col, .img3col {
    width: 98%;
    margin: 6px 0 10px 0;
    float: none;
}

}



/* XL ____________________________________ */

@media screen and (min-width: 961px) {

h3 {
    line-height: 1.8;
    margin: 5px 16% 0 16%;
}

p {
    line-height: 1.8;
    margin: 5px 16% 40px 16%;
}

.flexcontainer, .divwebcam {
    margin: 0 16% 20px 16%;
}

.divvillas {
    margin: 0 45px 120px 45px;
}
.divcompare {
    margin: 0 45px 0 45px;
}

}



